<template>
    <div class="reply-form pb-4">
        <hr>
        <a v-if="!showReplyForm && currentUser" class="btn btn-dark btn-sm" href="#" @click.prevent="toggle()">
            <i class="fa fa-reply"></i> Reply
        </a>

        <form v-if="showReplyForm && currentUser" v-on:submit.prevent="submitReview">
            <div class="form-group">
                <label for="textarea">Your reply</label>
                <textarea v-model="text" class="form-control" id="textarea" rows="3"></textarea>
            </div>
            <div class="form-group">
                <a class="btn btn-success" href="#" role="button" @click.prevent="sendReply">Send reply</a>
                <a class="btn btn-light" href="#" role="button" @click.prevent="hideForm">Cancel</a>
            </div>
        </form>
    </div>
</template>

<script>
    export default {
        name: "reply-form",
        props: [
            'parentId',
        ],
        data() {
            return {
                text: null,
                showReplyForm: false
            }
        },
        computed: {
            countComments() {
                return this.$store.getters.getCountComments;
            },
            currentUser() {
                if(this.$store.getters.currentUser !== null) {
                    return this.$store.getters.currentUser;
                }
                return 0;
            }
        },
        methods: {
            sendReply() {
                if (this.text !== null && this.text !== '') {
                    this.$store.dispatch('addComment', {
                        id: this.countComments + 1,
                        text: this.text,
                        parent_id: this.parentId,
                        author_id: this.currentUser,
                    });
                    this.text = null;
                    this.showReplyForm = false;
                }
            },
            hideForm() {
                this.showReplyForm = false;
            },
            toggle: function() {
                this.showReplyForm = !this.showReplyForm;
            },
        }
    }
</script>
